%define snapshot 0
%define date 20130523
%define qtmajor 5
%define qtminor 2
%define qtsubminor 0
%define rel 2

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%define libqtdeclarative %mklibname qt5declarative %qtmajor
%define libqtdeclarative_d %mklibname qt5declarative -d
%define libqtdeclarative_p_d %mklibname qt5declarative-private  -d

%if %snapshot
%define qttarballdir qtquick1-%{qtversion}-%date
%else
%define qttarballdir qtquick1-opensource-src-%{qtversion}
%endif

Name: qtquick5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: libqtscript5-devel
BuildRequires: qt5core-private-devel
BuildRequires: qt5script-private-devel
BuildRequires: qt5gui-private-devel
BuildRequires: qt5widgets-private-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt GUI toolkit

#------------------------------------------------------------------------------

%package qmlviewer
Summary: Qt%{qtmajor} Qmlviewer Utility
Group: Development/KDE and Qt

%description qmlviewer
Qt%{qtmajor} Qmlviewer Utility.

This a tool for loading QML documents that makes it easy to quickly 
develop and debug QML applications.

%files qmlviewer
%{_qt5_bindir}/qmlviewer
%{_qt5_bindir}/qml1plugindump
%{_qt5_importdir}/*
%{_qt5_plugindir}/qml1tooling/libqmldbg_inspector.so
%{_qt5_plugindir}/qml1tooling/libqmldbg_tcp_qtdeclarative.so

#------------------------------------------------------------------------------
%package -n %{libqtdeclarative}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqtdeclarative}
Qt%{qtmajor} Lib.

%files -n %{libqtdeclarative}
%{_qt5_libdir}/libQt5Declarative.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdeclarative_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqtdeclarative} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtdeclarative-devel = %version
Provides: libqtdeclarative5-devel = %version
Provides: libqt5declarative-devel = %version
Provides: qtdeclarative-devel = %version
Provides: qt5declarative-devel = %version

%description -n %{libqtdeclarative_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqtdeclarative_d}
%{_qt5_libdir}/libQt5Declarative.prl
%{_qt5_libdir}/libQt5Declarative.so
%{_qt5_libdir}/pkgconfig/Qt5Declarative.pc
%{_qt5_includedir}/QtDeclarative
%exclude %{_qt5_includedir}/QtDeclarative/%qtversion
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5DeclarativeConfig.cmake
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5DeclarativeConfigVersion.cmake
%{_qt5_datadir}/mkspecs/modules/qt_lib_declarative.pri
%{_qt5_examplesdir}/declarative

#------------------------------------------------------------------------------

%package -n %{libqtdeclarative_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt

Requires: %{libqtdeclarative_d} = %version

Provides: libqtdeclarative-private-devel = %version
Provides: libqtdeclarative5-private-devel = %version
Provides: libqt5declarative-private-devel = %version
Provides: qtdeclarative-private-devel = %version
Provides: qt5declarative-private-devel = %version

Requires: qt5core-private-devel = %version
Requires: qt5script-private-devel = %version

%description -n %{libqtdeclarative_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqtdeclarative_p_d}
%{_qt5_includedir}/QtDeclarative/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_declarative_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556716
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554424
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547098
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538927
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491111
- update file list
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428822
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427710
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410397
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393983
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392359
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Fri Jan 25 2013 fwang <fwang> 5.0.0-2.mga3
+ Revision: 392214
- update file list
- update file list

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + neoclust <neoclust>
    - Qt 5.0.0 Final
    - New rc1 daily snapshot

* Mon Nov 19 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319580
- imported package qtquick5

